invalid values for PSModuleAutoLoadingPreference breaks PowerShell - by Joel 'Jaykul' Bennett

Status : 

  Fixed<br /><br />
		This item has been fixed in the current or upcoming version of this product.<br /><br />
		A more detailed explanation for the resolution of this particular item may have been provided in the comments section.

Sign in
to vote
ID 792370 Comments
Status Closed Workarounds
Type Bug Repros 2
Opened 7/2/2013 2:07:29 PM
Access Restriction Public


Setting the magic $PSModuleAutoLoadingPreference variable to something unexpected breaks PowerShell's ability to create pipelines (you can't even set it back)
Sign in to post a comment.
Posted by Thomas Lee on 7/3/2013 at 6:33 AM
Interestingly, when setting the variable to an incorrect value, the prompt also changes.

This is an out and out bug.

PSH [C:\foo]: $PSVersionTable

Name                         Value
----                         -----
PSVersion                     4.0
WSManStackVersion             3.0
CLRVersion                     4.0.30319.18047
BuildVersion                 6.3.9397.0
PSCompatibleVersions         {1.0, 2.0, 3.0, 4.0}
PSRemotingProtocolVersion     2.2

PSH [C:\foo]: $PSModuleAutoLoadingPreference = "NotAnEnum"
An error occurred while creating the pipeline.